/*
 * App Global CSS
 * ----------------------------------------------------------------------------
 * Put style rules here that you want to apply globally. These styles are for
 * the entire app and not just one component. Additionally, this file can be
 * used as an entry point to import other CSS/Sass files to be included in the
 * output CSS.
 * For more information on global stylesheets, visit the documentation:
 * https://ionicframework.com/docs/layout/global-stylesheets
 */

/* Core CSS required for Ionic components to work properly */
@import "~@ionic/angular/css/core.css";

/* Basic CSS for apps built with Ionic */
@import "~@ionic/angular/css/normalize.css";
@import "~@ionic/angular/css/structure.css";
@import "~@ionic/angular/css/typography.css";
@import '~@ionic/angular/css/display.css';

/* Optional CSS utils that can be commented out */
@import "~@ionic/angular/css/padding.css";
@import "~@ionic/angular/css/float-elements.css";
@import "~@ionic/angular/css/text-alignment.css";
@import "~@ionic/angular/css/text-transformation.css";
@import "~@ionic/angular/css/flex-utils.css";

#login{
    #img-header {
        margin-top: 60px;
    }
    h1 {
        text-align: center;
        margin-bottom: 40px;
        margin-top: 40px;
        color: #476040;
        font-size: 36px;
    }
    h5 {
        text-align: center;
    }
    ion-item {
        --background:rgba(245, 246, 250, 1);
        --border-radius	: 10px;	
        margin-left: 64px;
        margin-right: 64px;
        margin-top: 10px;
    }

    #forgot-pwd{
        text-align: end;
        margin-right: 64px;
        font-size: 14px;
        color: #485846;
    }
    p {
        color: #485846;
        text-align: center;
    }
    #log-in {
        --border-radius: 10px;
        height: 45px;
    }
    .round-btn {
        height: 50px;
        width: 50px;
        --padding-top:0;
        --padding-start:0;
        --padding-end:0;

    }
}

#basket {
    --background: #F1F4F1;
    div {
        position: absolute;
        top:250px;
        left: 0px;
        right: 0px;
        background-color: #fff;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }

    ion-item{
        --border-radius: 10px;
    }

    #product-list {
        margin-top: 100px;
    }

    #reserve-btn {
        position: fixed;
        left: 0;
        bottom: 10px;
        right: 0;
    }
}

#booking{
    --background:#F1F4F1;
    h1 {
        text-align: center;
        margin-bottom: 40px;
        margin-top: 40px;
        color: #476040;
        font-size: 36px;
    }
    div{
        margin-top: 20px;
    }
    ion-item{
        --border-radius: 10px;
    }
}

#settings{
    --background:#F1F4F1;
    h1 {
        text-align: center;
        margin-bottom: 40px;
        margin-top: 40px;
        color: #476040;
        font-size: 36px;
    }

    h2{
        text-align: center;
        margin-bottom: 40px;
        margin-top: 20px;
        color: #476040;
    }

    ion-avatar{
        height: 170px;
        width: 170px;
    }

    #credit-card {
        --border-radius: 10px;
        ion-img{
            height: 30px;
            width: 50px;
        }
    }
}

#place-card{
    ion-item {
        --background: #fff;
        --border-radius: 10px;
    }
    img {
        height: 100px;
        width: 100px;
        border-radius: 10px;
    }
}

ion-searchbar {
    ion-icon {
        right: 16px !important;
        left: auto !important;
    }
    .searchbar-input.sc-ion-searchbar-md {
        left: 0px !important;
        border-radius: 150px !important;
    }
}

.home-detail {
    top: 50%;
    position: absolute;
    left: 0px;
    right: 0px;
    height: 50%;
    overflow-x: scroll;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    --ion-background-color: #F1F4F1 !important;
}

.scrolling-wrapper {
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;

    .card {
        display: inline-block;
    }
}

.custom-modal-css .modal-wrapper {
    height: 50%;
    top: 50%;
    position: absolute;
    display: block;
}

.basket-card {
    ion-card {
        --background: #fff;
        border-radius: 10px;
        // height: 170px;
        // width: 120px;
    }
    img {
        border-radius: 10px;
        margin:10px;
        height: 75px;
        width: 108px;
    }
}

.map{
    --background: none;
    background-image: url('/assets/img/MDS.PNG');
    background-position: center center;
    background-size: cover;
    width: 400px;
    object-fit: cover;
}

ion-item {
    --highlight-color-focused: #476040;
    --highlight-color-invalid: #D95140;
    --highlight-color-valid: #93A790;
}

ion-tab-button {
    --color-selected: #B55139;
    --color: #93A790;
}

.product-page {
    --ion-background-color: #F1F4F1 !important;
}

.product-detail {
    ion-item{
        --background:#fff;
        --border-radius:10px;
    }
}

.segment {
    margin: 5%;
    width: 90%;
}

#back-btn{
    position: absolute;
    top: 10px;
    left: 10px;
    font-size: 28px;
}

ion-segment{
    --background:#93A790;
}